Create a new draft task

This call creates a new task. You can create either a single task or a batch task by using the app's default batching, override batching, or disable batching completely.

A parent task is a task that specifies criteria by which to batch its inputs into a series of further sub-tasks, called child tasks.

See the documentation on batching tasks for more details on batching criteria.

Query Params
fields
array of strings

Selector specifying a subset of fields to include in the response.

fields
string

If set to "run", the task will be run immediately upon creation.

Body Params
string
required

The short name of the project that you want to create the task in.

string
required

The specification of the app that you want to run. Recall that apps are specified by their projects, in the form {project_owner}/{project}/{app_name}

string

The name of the task

string

An optional description of the task

execution_settings
object

Detailed task execution parameters.

inputs
array of objects

See the section on specifying task inputs for information on creating task input objects.

inputs
boolean

This is set to false by default. Set to true to create a batch task and specify the batch_input and batch-by criteria as described below.

string

The ID of the input on which you wish to batch. You would typically batch on the input consisting of a list of files. If this parameter is omitted, the default batching criteria defined for the app will be used.

string

This field can be true or false. Set this field to true to allow the use of spot instances.

Headers
string
required

Your Seven Bridges Platform authentication token. For security reasons, token will not be automatically populated in the generated code sample. Please replace <your-token-here> with your token before executing this call.

Response

Language
Request
Response
Choose an example:
application/json